Bug 1566990 - CVE-2018-1000168 nghttp2: Null pointer dereference when too large ALTSVC frame is received [fedora-all]
Summary: CVE-2018-1000168 nghttp2: Null pointer dereference when too large ALTSVC fram...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nghttp2
Version: 27
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2018-1000168
TreeView+ depends on / blocked
 
Reported: 2018-04-13 09:32 UTC by Stefan Cornelius
Modified: 2018-04-21 03:39 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-04-17 00:21:27 UTC


Attachments (Terms of Use)

Comment 1 Stefan Cornelius 2018-04-13 09:32:22 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1565035,1566990

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2018-04-14 13:14:45 UTC
nghttp2-1.31.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bdefa5e5bb

Comment 3 Fedora Update System 2018-04-15 02:26:48 UTC
nghttp2-1.31.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bdefa5e5bb

Comment 4 Fedora Update System 2018-04-15 08:26:59 UTC
nghttp2-1.31.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-cec96a9c41

Comment 5 Fedora Update System 2018-04-17 00:21:27 UTC
nghttp2-1.31.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-04-18 02:58:00 UTC
nghttp2-1.31.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-cec96a9c41

Comment 7 Fedora Update System 2018-04-21 03:39:38 UTC
nghttp2-1.31.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.